Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QDir.Filter

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QDir.Filter

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QDir

    public static final class QDir.Filter

extends java.lang.Enum
implements QtEnumerator

This class has no available documentation.

See Also:
  Serialized Form

Field Summary
`static QDir.Filter` | `AccessMask`
`static QDir.Filter` | `AllDirs`
`static QDir.Filter` | `AllEntries`
`static QDir.Filter` | `CaseSensitive`
`static QDir.Filter` | `Dirs`
`static QDir.Filter` | `Drives`
`static QDir.Filter` | `Executable`
`static QDir.Filter` | `Files`
`static QDir.Filter` | `Hidden`
`static QDir.Filter` | `Modified`
`static QDir.Filter` | `NoDotAndDotDot`
`static QDir.Filter` | `NoFilter`
`static QDir.Filter` | `NoSymLinks`
`static QDir.Filter` | `PermissionMask`
`static QDir.Filter` | `Readable`
`static QDir.Filter` | `System`
`static QDir.Filter` | `TypeMask`
`static QDir.Filter` | `Writable`

Method Summary
`static QDir.Filters` | `createQFlags(QDir.Filter[] values)` This function creates a com.trolltech.qt.core.QDir$Filters with the specified `com.trolltech.qt.core.QDir$Filter[]` Filter values set.
`static QDir.Filter` | `resolve(int value)` Returns the Filter constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDir.Filter` | `valueOf(java.lang.String name)`
`static QDir.Filter[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Dirs

    public static final QDir.Filter Dirs

### Files

    public static final QDir.Filter Files

### Drives

    public static final QDir.Filter Drives

### NoSymLinks

    public static final QDir.Filter NoSymLinks

### AllEntries

    public static final QDir.Filter AllEntries

### TypeMask

    public static final QDir.Filter TypeMask

### Readable

    public static final QDir.Filter Readable

### Writable

    public static final QDir.Filter Writable

### Executable

    public static final QDir.Filter Executable

### PermissionMask

    public static final QDir.Filter PermissionMask

### Modified

    public static final QDir.Filter Modified

### Hidden

    public static final QDir.Filter Hidden

### System

    public static final QDir.Filter System

### AccessMask

    public static final QDir.Filter AccessMask

### AllDirs

    public static final QDir.Filter AllDirs

### CaseSensitive

    public static final QDir.Filter CaseSensitive

### NoDotAndDotDot

    public static final QDir.Filter NoDotAndDotDot

### NoFilter

    public static final QDir.Filter NoFilter

Method Detail

### values

    public static QDir.Filter[] values()

### valueOf

    public static QDir.Filter valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QDir.Filters createQFlags(QDir.Filter[] values)

  This function creates a com.trolltech.qt.core.QDir$Filters with the specified `com.trolltech.qt.core.QDir$Filter[]` Filter values set.

### resolve

    public static QDir.Filter resolve(int value)

  Returns the Filter constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD